﻿@{
    ViewBag.Title = "Summary Risk Register Report";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<link href="~/Content/plugins/bootstrap-combobox/css/bootstrap-combobox.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-combobox/js/bootstrap-combobox.js"></script>

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>

<script type="text/javascript">


    function loadComFinYear() {
        return $.ajax({
            url: '@Url.Action("GetComFinYear", "DepartmentKPI")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlYear').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlYear').append('<option value="">No data found</option>');
            }
        });
    }
    $(document).ready(function () {
        loadComFinYear();
        //var cdt = new Date();
        //var current_year = cdt.getFullYear();
        //document.getElementById("txtyear").value = current_year;

        $("#btnDownload").click(function () {
            if ($('#ddlYear').val() == "0") {

                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please select year</label>", function () {
                    setTimeout(function () { }, 500);
                });
            } else {
            window.location.href = '@Url.Action("Download", "SummaryRiskRegisterReport")?divid=0&deptid=0&year=' + $('#ddlYear').val();
            }


        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 10px;
    }
</style>


<div class="col-sm-12">


    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Risk Register Report
        </div>
        <div class="panel-body">
            <div class="row">
                <!--Year-->
                <div class="col-sm-1"><label class="label-def-margin" for="txtyear">Year</label></div>
                <div class="col-sm-4">
                    <select class="form-control" id="ddlYear">
                        <option value="0">-Please select-</option>
                    </select>
                </div>

            </div>

            <div class="row">
                <div class="col-sm-1">
                    <button class='btn btn-primary' aria-label="riskdownload" id="btnDownload"><i class="fa fa-download"></i> Download </button>
                </div>
            </div>
        </div>
    </div>
    <br />



</div>
